# Non-passport

<mark style="color:green;">`POST`</mark> `https://ekycportaldemo.innov8tif.com/api/ekyc/okaydoc`

#### Request Body

| Name               | Type   | Description                                                                                                                                                |
| ------------------ | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| docType            | string | Document type can be found here: <https://api.innov8tif.com/okaydoc/non-passport/version-1#document-table>                                                 |
| version            | string | Version can be found here: <https://api.innov8tif.com/okaydoc/non-passport/version-1#document-table>                                                       |
| idImageBase64Image | string | <p>ID card image in base64. <br>Refer to the link below for image image requirement.<br><https://api.innov8tif.com/okaydoc/image-quality-requirements></p> |
| type               | string | nonpassport                                                                                                                                                |
| journeyId          | string | Retrieve from 'Create JourneyID' API                                                                                                                       |

{% tabs %}
{% tab title="200 myKad's response
use the following prefix to get landmark image
<https://okaydocdev.innov8tif.com/ekyc>" %}

```
{
    "status": "success",
    "messageCode": "api.success",
    "message": "",
    "id": "848a9a59-3a20-4688-b560-c23f8da7caa7",
    "methodList": [
        {
            "method": "landmark",
            "label": "Landmark Analysis Result",
            "componentList": [
                {
                    "code": "l-mykad-header",
                    "label": "Kad Pengenalan Header",
                    "value": "34.4195",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=l-mykad-header",
                    "refImageUrl": null
                },
                {
                    "code": "l-mykad-logo",
                    "label": "MyKad Logo",
                    "value": "95.5827",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=l-mykad-logo",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-flag-logo",
                    "label": "Malaysia Flag",
                    "value": "96.8136",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=l-my-flag-logo",
                    "refImageUrl": null
                },
                {
                    "code": "l-chip",
                    "label": "Chip",
                    "value": "75.511",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=l-chip",
                    "refImageUrl": null
                },
                {
                    "code": "l-hibiscus",
                    "label": "Hibiscus",
                    "value": "68.65390000000001",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=l-hibiscus",
                    "refImageUrl": null
                },
                {
                    "code": "l-msc",
                    "label": "MSC",
                    "value": "93.5061",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=l-msc",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "font",
            "label": "MyKad Font Checking Result",
            "componentList": [
                {
                    "code": "f-id-no",
                    "label": "ID No",
                    "value": "Pass",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=f-id-no",
                    "refImageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=f-id-no-ref"
                }
            ]
        },
        {
            "method": "microprint",
            "label": "Microprint Score",
            "componentList": [
                {
                    "code": "microprint",
                    "label": "Microprint",
                    "value": "12",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=microprint",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "hologram",
            "label": "Hologram",
            "componentList": [
                {
                    "code": "hologram",
                    "label": "Hologram",
                    "value": "Fail,Fail",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=hologram",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "substitution",
            "label": "Ghost Photo Comparison",
            "componentList": [
                {
                    "code": "substitution",
                    "label": "Substitution Score",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "docType",
            "label": "MyKad Type",
            "componentList": [
                {
                    "code": "docType",
                    "label": "IC Type",
                    "value": "New IC",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "colorMode",
            "label": "Color Mode",
            "componentList": [
                {
                    "code": "colorMode",
                    "label": "Color",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "screen",
            "label": "Screen Detection",
            "componentList": [
                {
                    "code": "screen",
                    "label": "Screen Detection",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "holocolor",
            "label": "Ghost Photo Color Detection",
            "componentList": [
                {
                    "code": "holocolor",
                    "label": "Ghost Photo Color Detection",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "idBlurDetection",
            "label": "ID Blur Detection",
            "componentList": [
                {
                    "code": "idBlurDetection",
                    "label": "ID Blur Detection",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "idBrightnessDetc",
            "label": "ID Brightness Detection",
            "componentList": [
                {
                    "code": "idBrightnessDetc",
                    "label": "ID Brightness Detection",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "faceBrightnessDetc",
            "label": "Face Brightness Detection",
            "componentList": [
                {
                    "code": "faceBrightnessDetc",
                    "label": "Face Brightness Detection",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "contentSubstitution",
            "label": "Content Substitution",
            "componentList": [
                {
                    "code": "contentSubstitution",
                    "label": "Content Substitution",
                    "value": "Pass",
                    "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=contentSubstitution",
                    "refImageUrl": null
                }
            ]
        }
    ],
    "outputImageList": [
        {
            "tag": "holoFace",
            "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=holoFace"
        },
        {
            "tag": "idFace",
            "imageUrl": "/public/image/v2/848a9a59-3a20-4688-b560-c23f8da7caa7?type=idFace"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Input Example

```
{
    "journeyId":"7851b4e3-df09-4ab6-8091-xxxxxxxx",
    "type":"nonpassport",
    "idImageBase64Image": "",
    "version": "2",
    "docType":"mykas"
}
```

{% hint style="info" %}
If the ID card is Malaysia's MyKad, additional parameters can be added as below.&#x20;

For more details regarding these parameters, kindly refer to <https://api.innov8tif.com/okaydoc/malaysia/my-id-card-front/version-7>
{% endhint %}

#### Sample Input for MyKad

```
{
    "journeyId":"",
    "type":"nonpassport",
    "idImageBase64Image": "",
    "livenessFaceBase64Image": "",
    "version": "7",
    "docType":"mykad",
    "landmarkCheck":true,
    "fontCheck":true,
    "microprintCheck":true,
    "photoSubstitutionCheck":true,
    "icTypeCheck":true,
    "colorMode":true,
    "hologram":true,
    "screenDetection":true,
    "ghostPhotoColorDetection":true,
    "idBlurDetection":true,
    "idBrightnessDetection":true,
    "faceBrightnessDetection":true,
    "contentSubstitution":true,
    "otherDocList": [
        {
            "base64Image": "",
            "type": "high_quality"
        },
        {
            "base64Image": "",
            "type": "without_flash"
        },
        {
            "base64Image": "",
            "type": "with_flash"
        }
    ]
}
```

{% hint style="info" %}
If the document is Cambodia's ID card, additional parameters can be added .

For more details, kindly refer to <https://api.innov8tif.com/okaydoc/cambodia/kh-id-card-front/version-2>
{% endhint %}

#### Sample Input for Cambodia ID

```
{
	"journeyId":"",
    "type":"nonpassport",
    "idImageBase64Image": "/9j/4QaMRXhpZgAATU0AKgAAAAgA..........",
    "version": "2",
    "docType":"khIdFront",
    "landmarkCheck": false,
    "idBlurDetection": false,
    "idBrightnessDetection": false,
    "colorMode": false,
    "screenDetection": false,
    "hologram": false,
    "photoSubstitutionCheck": false,
    "fontCheck":true
}
```

{% hint style="info" %}
Get the Postman Collection\
<https://api.innov8tif.com/emas-ekyc-portal/postman-collection>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/emas-ekyc-portal/centralize-okaydoc/non-passport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
